Topic: [0] ERROR in ./src/components/pro/Select/Selectv5/SelectV5.js

chalicham free asked 2 years ago


I've just bought Advanced pro, my pro app is not getting started in Ubuntu

/reactpro/re-pro$ npm start

mdbreact@4.27.0 start /home/ramchalicham/reactpro/re-pro yarn run webpack

yarn run v1.22.5 $ concurrently "webpack-dev-server --watch" [0] ℹ 「wds」: Project is running at http://172.16.12.102:8083/ [0] ℹ 「wds」: webpack output is served from / [0] ℹ 「wds」: Content not from webpack is served from /home/ramchalicham/reactpro/re-pro [0] ℹ 「wds」: 404s will fallback to /index.html [0] ℹ 「wdm」: wait until bundle finished: / [0] ✖ 「wdm」: Hash: b518848673ff2edfd590 [0] Version: webpack 4.41.5 [0] Time: 24088ms [0] Built at: 11/22/2020 3:12:13 PM [0] Asset Size Chunks Chunk Names [0] 205f07b3883c484f27f40d21a92950d4.ttf 200 KiB [emitted]
[0] 3c6879c4f342203d099bdd66dce6d396.woff 16.4 KiB [emitted]
[0] 4451e1d86df7491dd874f2c41eee1053.woff 102 KiB [emitted]
[0] 49f00693b0e5d45097832ef5ea1bc541.ttf 33.3 KiB [emitted]
[0] 4a74738e7728e93c4394b8604081da62.woff2 13.2 KiB [emitted]
[0] 8300bd7f30e0a313c1d772b49d96cb8e.ttf 133 KiB [emitted]
[0] 8ac3167427b1d5d2967646bd8f7a0587.eot 200 KiB [emitted]
[0] 8e1ed89b6ccb8ce41faf5cb672677105.woff2 78.4 KiB [emitted]
[0] ad527cc5ec23d6da66e8a1d6772ea6d3.woff 90 KiB [emitted]
[0] b01516c1808be557667befec76cd6318.eot 33.5 KiB [emitted]
[0] e2ca6541bff3a3e9f4799ee327b28c58.eot 134 KiB [emitted]
[0] f075c50f89795e4cdb4d45b51f1a6800.woff2 76.6 KiB [emitted]
[0] index.html 1.69 KiB [emitted]
[0] main.js 12.9 MiB main [emitted] main [0] Entrypoint main = main.js [0] [0] multi (webpack)-dev-server/client?http://172.16.12.102:8083 (webpack)/hot/dev-server.js ./docs/index.js 52 bytes {main} [built] [0] [./dist/css/mdb.css] 1.1 KiB {main} [built] [0] [./docs/App.js] 10.8 KiB {main} [built] [0] [./docs/index.css] 1.1 KiB {main} [built] [0] [./docs/index.js] 426 bytes {main} [built] [0] [./docs/registerServiceWorker.js] 3.83 KiB {main} [built] [0] [./node_modules/@fortawesome/fontawesome-free/css/all.min.css] 1.08 KiB {main} [built] [0] [./node_modules/bootstrap-css-only/css/bootstrap.min.css] 1.08 KiB {main} [built] [0] [./node_modules/react-dom/index.js] 1.33 KiB {main} [built] [0] [./node_modules/react/index.js] 190 bytes {main} [built] [0] [./node_modules/webpack-dev-server/client/index.js?http://172.16.12.102:8083] (webpack)-dev-server/client?http://172.16.12.102:8083 4.29 KiB {main} [built] [0] [./node_modules/webpack-dev-server/client/overlay.js] (webpack)-dev-server/client/overlay.js 3.51 KiB {main} [built] [0] [./node_modules/webpack-dev-server/client/socket.js] (webpack)-dev-server/client/socket.js 1.53 KiB {main} [built] [0] [./node_modules/webpack-dev-server/client/utils/createSocketUrl.js] (webpack)-dev-server/client/utils/createSocketUrl.js 2.91 KiB {main} [built] [0] [./node_modules/webpack/hot/dev-server.js] (webpack)/hot/dev-server.js 1.59 KiB {main} [built] [0] + 1428 hidden modules [0] [0] ERROR in ./src/components/pro/Select/Selectv5/SelectV5.js [0] Module not found: Error: Can't resolve './SelectOptionsv5/SelectOptionsv5' in '/home/ramchalicham/reactpro/re-pro/src/components/pro/Select/Selectv5' [0] @ ./src/components/pro/Select/Selectv5/SelectV5.js 46:0-64 507:48-63 [0] @ ./src/components/pro/Select/Selectv5/index.js [0] @ ./src/index.js [0] @ ./docs/App.js [0] @ ./docs/index.js [0] [0] ERROR in ./src/components/pro/Select/Selectv5/SelectOptionv5/index.js [0] Module not found: Error: Can't resolve './SelectOptionv5' in '/home/ramchalicham/reactpro/re-pro/src/components/pro/Select/Selectv5/SelectOptionv5' [0] @ ./src/components/pro/Select/Selectv5/SelectOptionv5/index.js 1:0-43 1:0-43 2:0-33 2:0-33 [0] @ ./src/index.js [0] @ ./docs/App.js [0] @ ./docs/index.js [0] [0] ERROR in ./src/index.js [0] Module not found: Error: Can't resolve './components/pro/Autocomplete/Autocomplete_V5' in '/home/ramchalicham/reactpro/re-pro/src' [0] @ ./src/index.js 87:0-75 156:0-161:2 156:0-161:2 [0] @ ./docs/App.js [0] @ ./docs/index.js [0] [0] ERROR in ./src/index.js [0] Module not found: Error: Can't resolve './components/pro/Select/Selectv5/SelectOptionsv5' in '/home/ramchalicham/reactpro/re-pro/src' [0] @ ./src/index.js 117:0-79 156:0-161:2 156:0-161:2 [0] @ ./docs/App.js [0] @ ./docs/index.js [0] Child html-webpack-plugin for "index.html": [0] 1 asset [0] Entrypoint undefined = index.html [0] [./node_modules/html-webpack-plugin/lib/loader.js!./public/index.html] 1.87 KiB {0} [built] [0] [./node_modules/lodash/lodash.js] 528 KiB {0} [built] [0] [./node_modules/webpack/buildin/global.js] (webpack)/buildin/global.js 472 bytes {0} [built] [0] [./node_modules/webpack/buildin/module.js] (webpack)/buildin/module.js 497 bytes {0} [built] [0] ℹ 「wdm」: Failed to compile. [0] ℹ 「wdm」: Compiling... [0] ✖ 「wdm」: Hash: bfa4a02b6c04e8511037 [0] Version: webpack 4.41.5 [0] Time: 619ms [0] Built at: 11/22/2020 3:12:14 PM [0] Asset Size Chunks Chunk Names [0] b518848673ff2edfd590.hot-update.json 35 bytes [emitted] [immutable] [hmr]
[0] index.html 1.69 KiB [emitted]
[0] main.js 12.9 MiB main [emitted] main [0] + 12 hidden assets [0] Entrypoint main = main.js [0] 1443 modules [0] [0] ERROR in ./src/components/pro/Select/Selectv5/SelectV5.js [0] Module not found: Error: Can't resolve './SelectOptionsv5/SelectOptionsv5' in '/home/ramchalicham/reactpro/re-pro/src/components/pro/Select/Selectv5' [0] @ ./src/components/pro/Select/Selectv5/SelectV5.js 46:0-64 507:48-63 [0] @ ./src/components/pro/Select/Selectv5/index.js [0] @ ./src/index.js [0] @ ./docs/App.js [0] @ ./docs/index.js [0] [0] ERROR in ./src/components/pro/Select/Selectv5/SelectOptionv5/index.js [0] Module not found: Error: Can't resolve './SelectOptionv5' in '/home/ramchalicham/reactpro/re-pro/src/components/pro/Select/Selectv5/SelectOptionv5' [0] @ ./src/components/pro/Select/Selectv5/SelectOptionv5/index.js 1:0-43 1:0-43 2:0-33 2:0-33 [0] @ ./src/index.js [0] @ ./docs/App.js [0] @ ./docs/index.js [0] [0] ERROR in ./src/index.js [0] Module not found: Error: Can't resolve './components/pro/Autocomplete/Autocomplete_V5' in '/home/ramchalicham/reactpro/re-pro/src' [0] @ ./src/index.js 87:0-75 156:0-161:2 156:0-161:2 [0] @ ./docs/App.js [0] @ ./docs/index.js [0] [0] ERROR in ./src/index.js [0] Module not found: Error: Can't resolve './components/pro/Select/Selectv5/SelectOptionsv5' in '/home/ramchalicham/reactpro/re-pro/src' [0] @ ./src/index.js 117:0-79 156:0-161:2 156:0-161:2 [0] @ ./docs/App.js [0] @ ./docs/index.js [0] Child html-webpack-plugin for "index.html": [0] 1 asset [0] Entrypoint undefined = index.html [0] 4 modules [0] ℹ 「wdm」: Failed to compile.


Piotr Glejzer staff commented 2 years ago

I think this is a similar topic to this https://mdbootstrap.com/support/react/events-js174-0-throw-er-unhandled-error-event/, we will try to figure out why this is not working. Sorry about that.


chalicham free commented 2 years ago

both are from me


soltrinox free commented 1 year ago

I have same issue here.SelectV5 is blocking the compileI removed the component completely and it compiles. Is this FIXED yet?

I don't know where you all are from , but at $588 for an advanced PRO version, where I come from you will FIX it or you give a REFUND to the people paying for advanced PRO support. So when you fix this (and NOT in the next version), please let me know. Thanks my missing $588 would really appreciate it.


Krzysztof Wilk staff commented 1 year ago

Hi!

I think that's the problem with names - somewhere Select is called "SelectV5" (with all its subcomponents as well) and somewhere "Selectv5". On Windows, there's no problem - this OS recognizes these names, but Linux-based ones are more sensitive and having trouble with them.

We'll fix it in the next release. For now - you can rename exports and imports of the MDBSelectV5 in your app on your own to fix this problem :)

Best regards


soltrinox free commented 1 year ago

THIS IS NOT SOLVED !


soltrinox free commented 1 year ago

Order #127632 [March 12, 2021]

Product Quantity Price

MDB Standard Advanced - 1 user, Annual 1 $588

Subtotal: $588

https://git.mdbootstrap.com/mdb/react/re-pro/issues/81Issues when building pro from source When building version 4.27.0 from source, I had to make following changes. Is this expected?

This ISSUE has been outstanding for far too long. For it to be a paid software package at such a steep price.

https://git.mdbootstrap.com/mdb/react/re-pro/issues/81

| Product | Quantity | Price |

| MDB Standard Advanced - 1 user, Annual | 1 | $588 |

I spent $500 for ZERO support?

npm install dependency works, BUT the examples and repo here does not compile free standing. So... I suggest you either remove the broken / failing component,

**

./components/pro/Select/Selectv5/SelectOptionsv5

**

(I have already deleted this from my copy, which leaves out extensive features you have made linked this to), OR fix your code to support the offending dep. This is not good, we need an answer I have grounds for a refund. Please reply. Thank you.


soltrinox free commented 1 year ago

I don't know where you all are from , but at $588 for an advanced PRO version, where I come from you will FIX it or you give a REFUND to the people paying for advanced PRO support. So when you fix this (and NOT in the next version), please let me know. Thanks my missing $588 would really appreciate it.


Adam Jakubowski staff answered 1 year ago


Dear @soltrinox

The support forum is dedicated to technical questions.

All questions regarding MDB licensing, products, partnerships and other non-technical queries - it should be asked directly to contact@mdbootstrap.com

I've reached out to you via email address assigned to your mdbootstrap account.

Best regards, 

Adam From MDB


soltrinox free answered 1 year ago


You do know it is MARCH right and MAY is like 45 days away? 06.04.2021. for the PRO RPEMIUM update. Are you for real?

Well..... Hmmm... sorry nope not soon enough for my taste, hey but its OK. I FIXED YOUR BROKEN CODE in a few hours of manual refactoring.

Yeah i think i will need that REFUND, 45-60 days on a PATCH is too long for PRO version at $688 for a react library. Snake oil customer service.

I will never recommend your PRO PREMIUM package, I do not think you have the infrastructure to handle a product / service level of that price.

Get your acts together, learn what is expected from PRO PERMIUM CUSTOMER SERVICE and you cant do your jobs like the rest us, well, quit selling something you can not deliver. that's called being honest, in these part, selling BS service that's illegal.


soltrinox free answered 1 year ago


Order #127632 [March 12, 2021]

Product Quantity Price

MDB Standard Advanced - 1 user, Annual 1 $588

Subtotal: $588

https://git.mdbootstrap.com/mdb/react/re-pro/issues/81Issues when building pro from source When building version 4.27.0 from source, I had to make following changes. Is this expected?

This ISSUE has been outstanding for far too long. For it to be a paid software package at such a steep price.

https://git.mdbootstrap.com/mdb/react/re-pro/issues/81

| Product | Quantity | Price |

| MDB Standard Advanced - 1 user, Annual | 1 | $588 |

I spent $500 for ZERO support?

npm install dependency works, BUT the examples and repo here does not compile free standing. So... I suggest you either remove the broken / failing component,

**

./components/pro/Select/Selectv5/SelectOptionsv5

**

(I have already deleted this from my copy, which leaves out extensive features you have made linked this to), OR fix your code to support the offending dep. This is not good, we need an answer I have grounds for a refund. Please reply. Thank you.


soltrinox free commented 1 year ago

I don't know where you all are from , but at $588 for an advanced PRO version, where I come from you will FIX it or you give a REFUND to the people paying for advanced PRO support. So when you fix this (and NOT in the next version), please let me know. Thanks my missing $588 would really appreciate it.


Krzysztof Wilk staff commented 1 year ago

Hi!

We plan to fix this issue in the release that will show on 06.04.2021. If you still want a refund - please contact our customer care service via email.

Best regards


soltrinox free commented 1 year ago

Hmmm not soon enough for my taste, but its OK.

I FIXED YOUR BROKEN CODE in a few hours of manual refactoring.

Yeah i think i will need that REFUND, 45-60 days on a PATCH is too long for PRO version at $688 for a react library. Snake oil customer service.

I will never recommend your PRO PREMIUM package, I do not think you have the infrastructure to handle a product / service level of that price.

Get your acts together, learn what is expected from PRO PERMIUM CUSTOMER SERVICE and you cant do your jobs like the rest us, well, quit selling something you can not deliver. that's called being honest, in these part, selling BS service that's illegal.


FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Closed

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB React
  • MDB Version: 4.27.0
  • Device: d
  • Browser: safari
  • OS: Ubuntu
  • Provided sample code: No
  • Provided link: Yes
Tags